Compliance requests

Get a compliance request

Retrieve an existing compliance request by payment ID.

Path Parameters
  • payment_id
    Type: string
    required

    The compliance request's payment ID.

Responses
  • application/json
Request Example for get/compliance-requests/{payment_id}
Shell Curl
curl 'https://{prefix}.api.sandbox.checkout.com/compliance-requests/{payment_id}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "payment_id": "pay_fun26akvvjjerahhctaq2uzhu4",
  "client_id": "cli_vkuhvk4vjn2edkps7dfsq6emqm",
  "entity_id": "ent_azsiyswl7bwe2ynjzujy7lcjca",
  "segment_id": "seg_siopnqocrc4ehgyer4tpepq5pp",
  "amount": "38.23",
  "currency": "HKD",
  "recipient_name": "Jia Tsang",
  "requested_on": "2026-02-04T15:46:44.9663151Z",
  "status": "responded",
  "fields": {
    "sender": [
      {
        "name": "date_of_birth",
        "type": "date",
        "value": "2000-01-01"
      }
    ],
    "recipient": [
      {
        "name": "date_of_birth",
        "type": "date",
        "value": "2000-01-01"
      }
    ]
  },
  "transaction_reference": "ref-abc",
  "sender_reference": "ref-def",
  "last_updated": "2026-02-04T15:47:18.6326970Z",
  "sender_name": "Ali Farid",
  "payment_type": "PayToCard"
}

Respond to a compliance request

Submit a response to a compliance request.

Path Parameters
  • payment_id
    Type: string
    required

    The compliance request's payment ID.

Body·
application/json

The response details.

Represents the payload used to respond to a compliance request.

  • fields
    Type: object ·
    required

    Groups the responded fields by party (sender/recipient).

  • comments
    Type: string | null

    Optional free-text comment provided with the response.

Responses
Request Example for post/compliance-requests/{payment_id}
curl 'https://{prefix}.api.sandbox.checkout.com/compliance-requests/{payment_id}' \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "fields": {
    "sender": [
      {
        "name": "date_of_birth",
        "value": null,
        "not_available": false
      }
    ],
    "recipient": [
      {
        "name": "date_of_birth",
        "value": null,
        "not_available": false
      }
    ]
  },
  "comments": "Optional comment"
}'
No Body